api/v1/orders/simswap
Method: POST https://developers.mobilemanager.co.uk/api/v1/orders/simswap
Summary
Create a Sim Swap order
Request Information
URI Parameters
None.
Body Parameters
The SimSwapOrderModel contains the original SIM and the new SIM that will be swapped against
CreateSimSwapOrderModel| Name | Description | Type | Additional information |
|---|---|---|---|
| OriginalSimId | globally unique identifier |
None. |
|
| NewSimId | globally unique identifier |
None. |
|
| Reason | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"OriginalSimId": "f43c3c73-00be-4bf2-ad63-ca19c5d1d9d0",
"NewSimId": "d97fa901-fd7f-4fe8-b167-0b25334ebb5d",
"Reason": "sample string 3"
}
application/xml, text/xml
Sample:
<CreateSimSwapOrderModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/SimPortalApi.Models.Orders"> <Reason>sample string 3</Reason> <NewSimId>d97fa901-fd7f-4fe8-b167-0b25334ebb5d</NewSimId> <OriginalSimId>f43c3c73-00be-4bf2-ad63-ca19c5d1d9d0</OriginalSimId> </CreateSimSwapOrderModel>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
OrderResponseModel| Name | Description | Type | Additional information |
|---|---|---|---|
| OrderId | globally unique identifier |
None. |
|
| Created | date |
None. |
|
| State | OrderState |
None. |
|
| OrderTimescale | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"OrderId": "7b664e17-de17-4fb4-a5b7-e4cf79b8c78a",
"Created": "2026-03-19T13:36:32.9608443+00:00",
"State": 0,
"OrderTimescale": "sample string 3"
}
application/xml, text/xml
Sample:
<OrderResponseModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/SimPortalApi.Models.Orders"> <OrderTimescale>sample string 3</OrderTimescale> </OrderResponseModel>